Package org.apache.any23.extractor.rdfa

## Class AbstractRDFaExtractorTestCase

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase

- Direct Known Subclasses:
    `RDFa11ExtractorTest`, `RDFaExtractorTest`

      public abstract class AbstractRDFaExtractorTestCase
      extends AbstractExtractorTestCase

  This class provides a common set of tests for an RDFa extractor.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static DCTerms` | `vDCTERMS` |
    `protected static FOAF` | `vFOAF` |

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractRDFaExtractorTestCase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testBasic()` | Verify the basic RDFa support.
    `void` | `testDrupalTestPage()` | This test checks if the RDF extraction is compliant to the RDFa in XHTML: Syntax and Processing specification against the Drupal test page.
    `void` | `testEmptyDatatypeDeclarationWithInnerXMLTags()` | This test checks if the subject of a property modeled as RDFa in a XHTML document where the subject contains inner XML tags is represented as a plain Literal stripping all the inner tags.
    `void` | `testIncompleteTripleManagement()` | See RDFa 1.1 Specification section 6.2 .
    `void` | `testRDFa11CURIEs()` | This test check if the RDFa1.1 CURIEs expansion is correct and backward compatible with RDFa 1.0.

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getExtractorFactory, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vDCTERMS

          protected static final DCTerms vDCTERMS

    - #### vFOAF

          protected static final FOAF vFOAF

  - ### Constructor Detail

    - #### AbstractRDFaExtractorTestCase

          public AbstractRDFaExtractorTestCase()

  - ### Method Detail

    - #### testBasic

          public void testBasic()
                         throws Exception

      Verify the basic RDFa support.
      Throws:
        `Exception` - if there is an issue asserting test values.

    - #### testRDFa11CURIEs

          public void testRDFa11CURIEs()
                                throws Exception

      This test check if the RDFa1.1 CURIEs expansion is correct and backward compatible with RDFa 1.0.
      Throws:
        `Exception` - if there is an issue asserting test values.

    - #### testEmptyDatatypeDeclarationWithInnerXMLTags

          public void testEmptyDatatypeDeclarationWithInnerXMLTags()
                                                            throws Exception

      This test checks if the subject of a property modeled as RDFa in a XHTML document where the subject contains inner XML tags is represented as a plain Literal stripping all the inner tags. For details see the RDFa in XHTML: Syntax and Processing recommendation.
      Throws:
        `Exception` - if there an error asserting test values.

    - #### testDrupalTestPage

          public void testDrupalTestPage()
                                  throws Exception

      This test checks if the RDF extraction is compliant to the RDFa in XHTML: Syntax and Processing specification against the Drupal test page.
      Throws:
        `Exception` - if there an error asserting test values.

    - #### testIncompleteTripleManagement

          public void testIncompleteTripleManagement()
                                              throws Exception

      See RDFa 1.1 Specification section 6.2 .
      Throws:
        `Exception` - if there an error asserting test values.